- Qt 6.9
- Qt Print Support
- C++ Classes
- QPageSetupDialog
- Qt 6.9.2 Reference Documentation

# QPageSetupDialog Class

The QPageSetupDialog class provides a configuration dialog for the page-related options on a printer. More...

Header: | `#include <QPageSetupDialog>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS PrintSupport)` `target_link_libraries(mytarget PRIVATE Qt6::PrintSupport)`
qmake: | `QT += printsupport`
Inherits: | QDialog

- List of all members, including inherited members
- QPageSetupDialog is part of Standard Dialogs and Printer and Printing APIs.

## Public Functions

void | open(QObject *receiver, const char *member)

## Reimplemented Public Functions

virtual void | done(int result) override

## Detailed Description

On Windows and macOS the page setup dialog is implemented using the native page setup dialogs.

Note that on Windows and macOS custom paper sizes won't be reflected in the native page setup dialogs. Additionally, custom page margins set on a QPrinter won't show in the native macOS page setup dialog.

See also QPrinter and QPrintDialog.

## Member Function Documentation

### `[override virtual]` void QPageSetupDialog::done(int result)

Reimplements: QDialog::done(int r).

### void QPageSetupDialog::open(QObject *receiver, const char *member)

Opens the dialog and connects its accepted() signal to the slot specified by receiver and member.

The signal will be disconnected from the slot when the dialog is closed.